Novell Home

CVE-2002-2443

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2002-2443 at MITRE

Description

schpw.c in the kpasswd service in kadmind in MIT Kerberos 5 (aka krb5) before 1.11.3 does not properly validate UDP packets before sending responses, which allows remote attackers to cause a denial of service (CPU and bandwidth consumption) via a forged packet that triggers a communication loop, as demonstrated by krb_pingpong.nasl, a related issue to CVE-1999-0103.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entries: 825985, 871411, 887734

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.56.1
  • krb5-devel-32bit >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.56.1
  • krb5-devel-32bit >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-32bit >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-apps-clients >= 1.6.3-133.49.56.1
  • krb5-apps-servers >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-32bit >= 1.6.3-133.49.56.1
  • krb5-apps-clients >= 1.6.3-133.49.56.1
  • krb5-apps-servers >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Server 11 SP3
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-apps-clients >= 1.6.3-133.49.56.1
  • krb5-apps-servers >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
  • krb5-x86 >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7962
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.49.56.1
  • krb5-devel-32bit >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Software Development Kit 11 SP2
  • krb5-devel >= 1.6.3-133.49.56.1
  • krb5-devel-32bit >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Desktop 11 SP2
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Desktop 11 SP2
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-32bit >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-apps-clients >= 1.6.3-133.49.56.1
  • krb5-apps-servers >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-32bit >= 1.6.3-133.49.56.1
  • krb5-apps-clients >= 1.6.3-133.49.56.1
  • krb5-apps-servers >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Server 11 SP2
  • krb5 >= 1.6.3-133.49.56.1
  • krb5-apps-clients >= 1.6.3-133.49.56.1
  • krb5-apps-servers >= 1.6.3-133.49.56.1
  • krb5-client >= 1.6.3-133.49.56.1
  • krb5-server >= 1.6.3-133.49.56.1
  • krb5-x86 >= 1.6.3-133.49.56.1
Builds
SAT Patch Nr: 7968
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • krb5 >= 1.4.3-19.49.53.1
  • krb5-client >= 1.4.3-19.49.53.1
  • krb5-devel >= 1.4.3-19.49.53.1
Builds
ZYPP Patch Nr: 8631
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • krb5 >= 1.4.3-19.49.53.1
  • krb5-32bit >= 1.4.3-19.49.53.1
  • krb5-client >= 1.4.3-19.49.53.1
  • krb5-devel >= 1.4.3-19.49.53.1
  • krb5-devel-32bit >= 1.4.3-19.49.53.1
Builds
ZYPP Patch Nr: 8631
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • krb5-apps-clients >= 1.4.3-19.49.53.1
  • krb5-apps-servers >= 1.4.3-19.49.53.1
  • krb5-server >= 1.4.3-19.49.53.1
Builds
ZYPP Patch Nr: 8631
SUSE Linux Enterprise Server 10 SP4 for x86
  • krb5 >= 1.4.3-19.49.53.1
  • krb5-apps-clients >= 1.4.3-19.49.53.1
  • krb5-apps-servers >= 1.4.3-19.49.53.1
  • krb5-client >= 1.4.3-19.49.53.1
  • krb5-devel >= 1.4.3-19.49.53.1
  • krb5-server >= 1.4.3-19.49.53.1
Builds
ZYPP Patch Nr: 8631
SUSE Linux Enterprise Server 10 SP4 for IPF
  • krb5 >= 1.4.3-19.49.53.1
  • krb5-apps-clients >= 1.4.3-19.49.53.1
  • krb5-apps-servers >= 1.4.3-19.49.53.1
  • krb5-client >= 1.4.3-19.49.53.1
  • krb5-devel >= 1.4.3-19.49.53.1
  • krb5-server >= 1.4.3-19.49.53.1
  • krb5-x86 >= 1.4.3-19.49.53.1
Builds
ZYPP Patch Nr: 8631
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • krb5 >= 1.4.3-19.49.53.1
  • krb5-64bit >= 1.4.3-19.49.53.1
  • krb5-apps-clients >= 1.4.3-19.49.53.1
  • krb5-apps-servers >= 1.4.3-19.49.53.1
  • krb5-client >= 1.4.3-19.49.53.1
  • krb5-devel >= 1.4.3-19.49.53.1
  • krb5-devel-64bit >= 1.4.3-19.49.53.1
  • krb5-server >= 1.4.3-19.49.53.1
Builds
ZYPP Patch Nr: 8631
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • krb5 >= 1.4.3-19.49.53.1
  • krb5-32bit >= 1.4.3-19.49.53.1
  • krb5-apps-clients >= 1.4.3-19.49.53.1
  • krb5-apps-servers >= 1.4.3-19.49.53.1
  • krb5-client >= 1.4.3-19.49.53.1
  • krb5-devel >= 1.4.3-19.49.53.1
  • krb5-devel-32bit >= 1.4.3-19.49.53.1
  • krb5-server >= 1.4.3-19.49.53.1
Builds
ZYPP Patch Nr: 8631

© 2014 Novell